<?php

namespace App\ViewModels\EspecialidadeProcedimento\EspecialidadeProcedimentoRegistrationViewModel;

use App\Utils\Builder;

class EspecialidadeProcedimentoRegistrationViewModelBuilder implements Builder {
	protected $id_especialidade;
	protected $id_procedimento;
	protected $id_unidade;
	
	
	public function build(): EspecialidadeProcedimentoRegistrationViewModel {
		
		$procedimento_registration_vm = new EspecialidadeProcedimentoRegistrationViewModel();
		$procedimento_registration_vm->setIdEspecialidade( $this->id_especialidade );
		$procedimento_registration_vm->setIdProcedimento( $this->id_procedimento );
		$procedimento_registration_vm->setIdUnidade( $this->id_unidade );
		return $procedimento_registration_vm;
		
	}
	

	/**
	 *
	 * @param mixed $id_especialidade
	 * @return EspecialidadeProcedimentoRegistrationViewModelBuilder
	 */
	public function setIdEspecialidade($id_especialidade): EspecialidadeProcedimentoRegistrationViewModelBuilder {

		$this->id_especialidade = $id_especialidade;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_procedimento
	 * @return EspecialidadeProcedimentoRegistrationViewModelBuilder
	 */
	public function setIdProcedimento($id_procedimento): EspecialidadeProcedimentoRegistrationViewModelBuilder {

		$this->id_procedimento = $id_procedimento;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_unidade
	 * @return EspecialidadeProcedimentoRegistrationViewModelBuilder
	 */
	public function setIdUnidade($id_unidade): EspecialidadeProcedimentoRegistrationViewModelBuilder {

		$this->id_unidade = $id_unidade;
		return $this;

	}

	
}